OAS Planning and Scheduling
This OpenAPI specification defines a set of APIs for the exchange of the SETU Planning and Scheduling messages. The SETU created three standardised messages to exchange information about human resource constraints, requesting a planning for a particular position, and planning an assignment. The messages include 'PlanningConstraints', 'PlanningRequest', and 'PlanningAssignment'. The APIs are designed to be mainly implemented by planning software and the backoffice system of both the staffing customer and staffing supplier. This page provides documentation about the OpenAPI specification.
The APIs are organized into tags for easy navigation and include descriptions for each set of APIs. The available tags include 'Planning constraints,' 'Planning request,' and 'Planning assignment,' which include the API calls related to the different set of SETU Planning and Scheduling messages. Additionally, this API specification also provides tags for different scenarios that might be encountered during the use of the SETU API for Planning and Scheduling. These scenarios include 'Scenario 1 | Planning software APIs' and 'Scenario 1 | Customer backoffice APIs', as well as 'Scenario 2 | Planning software APIs' and 'Scenario 2 | Staffing customer backoffice APIs'. These tags group together the API calls that are available for a specific scenario, making it easier for developers to understand which endpoints are necessary to implement in each case.
The request body of each API call in the OpenAPI specification is also available in Semantic Treehouse. The request body is based on the standardised message structure developed by SETU in Semantic Treehouse. This ensures that the request and response data of the API calls adhere to a common and standardised format, facilitating interoperability and ease of use across different software systems. More information about the SETU standards can be found here.
SETU API for Planning and Scheduling (1)
Download OpenAPI specification:Download
Set of API specifications that allows for exchange of information related to the planning and scheduling of flexworkers. Moreover, the API allows to exchange information regarding human resource availability (constraints), planning request, and planning assignment.
The JSON and XML schema's for the requestBody of each API call can be found on the SETU GitHub
Get availability information for a human resource
query Parameters
| hrId required | string The identifier of the human resource for which the constraints are requested |
header Parameters
| Accept | string Enum: "application/json" "application/xml" Example: application/json |
Responses
Response samples
- 200
[- {
- "documentId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "worker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "workAssignments": {
- "item": {
- "id": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}
}
}
}, - "positionProfile": {
- "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}
}, - "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
], - "singleAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "singleAvailabilityType": "Exception",
- "periodicAvailabilityLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "availabilityStatus": "Available",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
], - "availabilityComment": "string"
}
], - "maximumTravelDistance": 0
}
]Submit additional availability information of a human resource by means of a planning constraints object
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
Complete planning constraints message as specified by SETU. See message specification https://setu.semantic-treehouse.nl/#/Message_32_model/MessageModel_4ccb3cb0-cc4b-422f-b506-3a09ff9cd1bb
required | object |
| actionCode | string Enum: "DELETE" "GET" "POST" "PUT" |
required | object |
required | object |
required | object |
object | |
Array of objects | |
Array of objects | |
| maximumTravelDistance | number |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "worker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "workAssignments": {
- "item": {
- "id": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}
}
}
}, - "positionProfile": {
- "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}
}, - "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
], - "singleAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "singleAvailabilityType": "Exception",
- "periodicAvailabilityLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "availabilityStatus": "Available",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
], - "availabilityComment": "string"
}
], - "maximumTravelDistance": 0
}Response samples
- 201
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "worker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "workAssignments": {
- "item": {
- "id": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}
}
}
}, - "positionProfile": {
- "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}
}, - "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
], - "singleAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "singleAvailabilityType": "Exception",
- "periodicAvailabilityLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "availabilityStatus": "Available",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
], - "availabilityComment": "string"
}
], - "maximumTravelDistance": 0
}Get information about an existing planning constraints object
path Parameters
| id required | string Example: e59c8cb9-ab3f-4455-8d63-8bdb2730c545 The identifier of the planning constraints object |
header Parameters
| Accept | string Enum: "application/json" "application/xml" Example: application/json |
Responses
Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "worker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "workAssignments": {
- "item": {
- "id": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}
}
}
}, - "positionProfile": {
- "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}
}, - "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
], - "singleAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "singleAvailabilityType": "Exception",
- "periodicAvailabilityLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "availabilityStatus": "Available",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
], - "availabilityComment": "string"
}
], - "maximumTravelDistance": 0
}Update an existing planning constraints object as a whole. The request body replaces all previous shared information of the planning constraint
path Parameters
| id required | string Example: e59c8cb9-ab3f-4455-8d63-8bdb2730c545 The identifier of the planning constraints object |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
Planning constraint message as specified by SETU. See message specification https://setu.semantic-treehouse.nl/#/Message_32_model/MessageModel_4ccb3cb0-cc4b-422f-b506-3a09ff9cd1bb
required | object |
| actionCode | string Enum: "DELETE" "GET" "POST" "PUT" |
required | object |
required | object |
required | object |
object | |
Array of objects | |
Array of objects | |
| maximumTravelDistance | number |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "worker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "workAssignments": {
- "item": {
- "id": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}
}
}
}, - "positionProfile": {
- "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}
}, - "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
], - "singleAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "singleAvailabilityType": "Exception",
- "periodicAvailabilityLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "availabilityStatus": "Available",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
], - "availabilityComment": "string"
}
], - "maximumTravelDistance": 0
}Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "worker": {
- "workerId": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "workAssignments": {
- "item": {
- "id": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}
}
}
}, - "positionProfile": {
- "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}
}, - "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
], - "singleAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "singleAvailabilityType": "Exception",
- "periodicAvailabilityLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "availabilityStatus": "Available",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
], - "availabilityComment": "string"
}
], - "maximumTravelDistance": 0
}Add a new periodic availability line to an existing planning constraints object
path Parameters
| id required | string Example: e59c8cb9-ab3f-4455-8d63-8bdb2730c545 The identifier of the planning constraints object |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
A periodic availability line. This is a subset of the Planning constraints message specification. See message specification https://setu.semantic-treehouse.nl/#/Message_32_model/MessageModel_4ccb3cb0-cc4b-422f-b506-3a09ff9cd1bb
Array of objects | |||||||||||||||||||
Array
| |||||||||||||||||||
Responses
Request samples
- Payload
{- "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
]
}Response samples
- 201
{- "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
]
}Add a new single availability line to an existing planning constraints object
path Parameters
| id required | string Example: e59c8cb9-ab3f-4455-8d63-8bdb2730c545 The identifier of the planning constraints object |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
A single availability line. This is a subset of the Planning constraints message specification.
Array of objects | |||||||||||||||||||
Array
| |||||||||||||||||||
Responses
Request samples
- Payload
{- "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
]
}Response samples
- 201
{- "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
]
}Get information about an existing availability line
path Parameters
| id required | string Example: e59c8cb9-ab3f-4455-8d63-8bdb2730c545 The identifier of the planning constraints object |
| lineId required | string Example: acb88ec7-8d93-4bb8-98e1-f7db0074fdc6 The identifier of the availability line |
header Parameters
| Accept | string Enum: "application/json" "application/xml" Example: application/json |
Responses
Response samples
- 200
{- "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
]
}Update an existing availability line
path Parameters
| id required | string Example: e59c8cb9-ab3f-4455-8d63-8bdb2730c545 The identifier of the planning constraints object |
| lineId required | string Example: acb88ec7-8d93-4bb8-98e1-f7db0074fdc6 The identifier of the availability line |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
A availability line (periodic or single)
Array of objects | |||||||||||||||||||
Array
| |||||||||||||||||||
Responses
Request samples
- Payload
{- "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
]
}Response samples
- 200
{- "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
]
}Remove an availability line from
path Parameters
| id required | string Example: e59c8cb9-ab3f-4455-8d63-8bdb2730c545 The identifier of the planning constraints object |
| lineId required | string Example: acb88ec7-8d93-4bb8-98e1-f7db0074fdc6 The identifier of the availability line |
Responses
Response samples
- 200
{- "periodicAvailabilityLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "availabilityStatus": "Available",
- "availabilityPeriod": "Daily",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z"
}
], - "availabilityComment": "string"
}
]
}Submit a new planning request
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
Complete planning request message as specified by SETU.
required | object |
| actionCode | string Enum: "DELETE" "GET" "POST" "PUT" |
object | |
required | object |
required | object |
| requestComments | Array of strings |
Array of objects | |
Array of objects |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "requestedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}
}
], - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionQualifications": {
- "item": {
- "positionCompetencies": {
- "item": [
- {
- "competencyIds": {
- "item": [
- {
- "value": null,
- "schemeAgencyId": null
}
]
}, - "competencyName": "string"
}
]
}, - "licenses": [
- {
- "name": "string",
- "issuingAuthority": {
- "name": "string"
}
}
]
}
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "requestComments": [
- "string"
], - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Response samples
- 201
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "requestedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}
}
], - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionQualifications": {
- "item": {
- "positionCompetencies": {
- "item": [
- {
- "competencyIds": {
- "item": [
- {
- "value": null,
- "schemeAgencyId": null
}
]
}, - "competencyName": "string"
}
]
}, - "licenses": [
- {
- "name": "string",
- "issuingAuthority": {
- "name": "string"
}
}
]
}
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "requestComments": [
- "string"
], - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Get the information about a existing planning request
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning request as a whole |
header Parameters
| Accept | string Enum: "application/json" "application/xml" Example: application/json |
Responses
Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "requestedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}
}
], - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionQualifications": {
- "item": {
- "positionCompetencies": {
- "item": [
- {
- "competencyIds": {
- "item": [
- {
- "value": null,
- "schemeAgencyId": null
}
]
}, - "competencyName": "string"
}
]
}, - "licenses": [
- {
- "name": "string",
- "issuingAuthority": {
- "name": "string"
}
}
]
}
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "requestComments": [
- "string"
], - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Update an existing planning request as a whole. The request body replaces all previous shared information of the resource
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning request as a whole |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
Complete planning request message as specified by SETU.
Restriction:
- In case of a PUT (REST APIs and Action codes), it is not possible to modify the element 'position id ref', 'position task/id ref', or 'position location ref' under the container element 'position profile'. Modifying the content of these elements can result in a new planning request or assignment, and for this purpose, a POST is intended.
required | object |
| actionCode | string Enum: "DELETE" "GET" "POST" "PUT" |
object | |
required | object |
required | object |
| requestComments | Array of strings |
Array of objects | |
Array of objects |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "requestedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}
}
], - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionQualifications": {
- "item": {
- "positionCompetencies": {
- "item": [
- {
- "competencyIds": {
- "item": [
- {
- "value": null,
- "schemeAgencyId": null
}
]
}, - "competencyName": "string"
}
]
}, - "licenses": [
- {
- "name": "string",
- "issuingAuthority": {
- "name": "string"
}
}
]
}
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "requestComments": [
- "string"
], - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "requestedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}
}
], - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionQualifications": {
- "item": {
- "positionCompetencies": {
- "item": [
- {
- "competencyIds": {
- "item": [
- {
- "value": null,
- "schemeAgencyId": null
}
]
}, - "competencyName": "string"
}
]
}, - "licenses": [
- {
- "name": "string",
- "issuingAuthority": {
- "name": "string"
}
}
]
}
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "requestComments": [
- "string"
], - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Add a new periodic planning line to an existing planning request
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning request as a whole |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
A periodic planning request line. This is a subset of the Planning request message specification.
Array of objects | |||||||||||||||||||
Array
| |||||||||||||||||||
Responses
Request samples
- Payload
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Response samples
- 200
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Add a new single planning line to an existing planning request
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning request as a whole |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
A single planning request line. This is a subset of the Planning request message specification.
Array of objects | |||||||||||||||||||
Array
| |||||||||||||||||||
Responses
Request samples
- Payload
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Response samples
- 200
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Get the information about an existing planning request line
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning request as a whole |
| lineId required | string Example: 0d281aa5-5000-4b29-81f9-16fb4e69557b The identifier of a specific line within the planning request |
header Parameters
| Accept | string Enum: "application/json" "application/xml" Example: application/json |
Responses
Response samples
- 200
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Update an existing planning line
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning request as a whole |
| lineId required | string Example: 0d281aa5-5000-4b29-81f9-16fb4e69557b The identifier of a specific line within the planning request |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
A planning request line (periodic or single line)
Array of objects | |||||||||||||||||||
Array
| |||||||||||||||||||
Responses
Request samples
- Payload
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Response samples
- 200
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Remove an existing planning-request line
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning request as a whole |
| lineId required | string Example: 0d281aa5-5000-4b29-81f9-16fb4e69557b The identifier of a specific line within the planning request |
Responses
Get list of planning assignments related to a planning request
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning request |
header Parameters
| Accept | string Enum: "application/json" "application/xml" Example: application/json |
Responses
Response samples
- 200
[- {
- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "planningRequestReference": {
- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "assignedWorker": {
- "assignedStatus": true,
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}, - "workAssignments": {
- "item": {
- "id": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}
}
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "travelDistance": 0,
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
]
}
]Submit a new planning assignment
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
Complete planning assignment message as specified by SETU. See message specification https://setu.semantic-treehouse.nl/#/Message_32_model/MessageModel_2c67bb3d-b1c1-423b-90d5-8cac64eda603
required | object |
| actionCode | string Enum: "DELETE" "GET" "POST" "PUT" |
object | |
required | object |
object | |
required | object |
required | object |
Array of objects | |
Array of objects |
Responses
Request samples
- Payload
Response samples
- 201
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "planningRequestReference": {
- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "assignedWorker": {
- "assignedStatus": true,
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}, - "workAssignments": {
- "item": {
- "id": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}
}
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "travelDistance": 0,
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
]
}Get information of an existing planning assignment
path Parameters
| id required | string Example: 5dbca640-358a-4558-a095-ecbb85ebe7d9 The identifier of the planning assignment as a whole |
header Parameters
| Accept | string Enum: "application/json" "application/xml" Example: application/json |
Responses
Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "planningRequestReference": {
- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "assignedWorker": {
- "assignedStatus": true,
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}, - "workAssignments": {
- "item": {
- "id": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}
}
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "travelDistance": 0,
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
]
}Update an existing planning assignment as a whole. The request body replaces all previous shared information of the resource
path Parameters
| id required | string Example: 5dbca640-358a-4558-a095-ecbb85ebe7d9 The identifier of the planning assignment as a whole |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
Complete planning assignment message as specified by SETU. See message specification https://setu.semantic-treehouse.nl/#/Message_32_model/MessageModel_2c67bb3d-b1c1-423b-90d5-8cac64eda603
Restriction:
- In case of a PUT (REST APIs and Action codes), it is not possible to modify the element 'position id ref', 'position task/id ref', or 'position location ref' under the container element 'position profile'. Modifying the content of these elements can result in a new planning request or assignment, and for this purpose, a POST is intended.
required | object |
| actionCode | string Enum: "DELETE" "GET" "POST" "PUT" |
object | |
required | object |
object | |
required | object |
required | object |
Array of objects | |
Array of objects |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "planningRequestReference": {
- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "assignedWorker": {
- "assignedStatus": true,
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}, - "workAssignments": {
- "item": {
- "id": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}
}
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "travelDistance": 0,
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
]
}Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "planningRequestReference": {
- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "assignedWorker": {
- "assignedStatus": true,
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}, - "workAssignments": {
- "item": {
- "id": {
- "value": "string",
- "schemeAgencyId": "Supplier"
}
}
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "travelDistance": 0,
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
]
}Add a new periodic planning line to an existing planning assignment
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning assignment as a whole |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
A periodic planning assignment line. This is a subset of the Planning assignment message specification. See message specification https://setu.semantic-treehouse.nl/#/Message_32_model/MessageModel_2c67bb3d-b1c1-423b-90d5-8cac64eda603
Array of objects | |||||||||||||||||||
Array
| |||||||||||||||||||
Responses
Request samples
- Payload
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
]
}Response samples
- 200
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
]
}Add a new single planning line to an existing planning assignment
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning assignment as a whole |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
A single planning assignment line. This is a subset of the Planning assignment message specification. See message specification https://setu.semantic-treehouse.nl/#/Message_32_model/MessageModel_2c67bb3d-b1c1-423b-90d5-8cac64eda603
Array of objects | |||||||||||||||||||
Array
| |||||||||||||||||||
Responses
Request samples
- Payload
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
]
}Response samples
- 200
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
]
}Get the information about an existing planning assignment line
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning assignment as a whole |
| lineId required | string Example: 0d281aa5-5000-4b29-81f9-16fb4e69557b The identifier of a specific line within the planning assignment |
header Parameters
| Accept | string Enum: "application/json" "application/xml" Example: application/json |
Responses
Response samples
- 200
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
]
}Update an existing planning assignment line
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning assignment as a whole |
| lineId required | string Example: 0d281aa5-5000-4b29-81f9-16fb4e69557b The identifier of a specific line within the planning assignment |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
A planning assignment line (periodic or single line)
Array of objects | |||||||||||||||||||
Array
| |||||||||||||||||||
Responses
Request samples
- Payload
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
]
}Response samples
- 200
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
]
}Remove an existing planning assignment line
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning assignment as a whole |
| lineId required | string Example: 0d281aa5-5000-4b29-81f9-16fb4e69557b The identifier of a specific line within the planning request |
Responses
Response samples
- 200
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "relatedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "relatedWorkerType": "Preferred"
}
]
}
]
}Submit a new planning request
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
Complete planning request message as specified by SETU.
required | object |
| actionCode | string Enum: "DELETE" "GET" "POST" "PUT" |
object | |
required | object |
required | object |
| requestComments | Array of strings |
Array of objects | |
Array of objects |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "requestedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}
}
], - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionQualifications": {
- "item": {
- "positionCompetencies": {
- "item": [
- {
- "competencyIds": {
- "item": [
- {
- "value": null,
- "schemeAgencyId": null
}
]
}, - "competencyName": "string"
}
]
}, - "licenses": [
- {
- "name": "string",
- "issuingAuthority": {
- "name": "string"
}
}
]
}
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "requestComments": [
- "string"
], - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Response samples
- 201
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "requestedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}
}
], - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionQualifications": {
- "item": {
- "positionCompetencies": {
- "item": [
- {
- "competencyIds": {
- "item": [
- {
- "value": null,
- "schemeAgencyId": null
}
]
}, - "competencyName": "string"
}
]
}, - "licenses": [
- {
- "name": "string",
- "issuingAuthority": {
- "name": "string"
}
}
]
}
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "requestComments": [
- "string"
], - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Get the information about a existing planning request
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning request as a whole |
header Parameters
| Accept | string Enum: "application/json" "application/xml" Example: application/json |
Responses
Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "requestedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}
}
], - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionQualifications": {
- "item": {
- "positionCompetencies": {
- "item": [
- {
- "competencyIds": {
- "item": [
- {
- "value": null,
- "schemeAgencyId": null
}
]
}, - "competencyName": "string"
}
]
}, - "licenses": [
- {
- "name": "string",
- "issuingAuthority": {
- "name": "string"
}
}
]
}
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "requestComments": [
- "string"
], - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Update an existing planning request as a whole. The request body replaces all previous shared information of the resource
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning request as a whole |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
Complete planning request message as specified by SETU.
Restriction:
- In case of a PUT (REST APIs and Action codes), it is not possible to modify the element 'position id ref', 'position task/id ref', or 'position location ref' under the container element 'position profile'. Modifying the content of these elements can result in a new planning request or assignment, and for this purpose, a POST is intended.
required | object |
| actionCode | string Enum: "DELETE" "GET" "POST" "PUT" |
object | |
required | object |
required | object |
| requestComments | Array of strings |
Array of objects | |
Array of objects |
Responses
Request samples
- Payload
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "requestedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}
}
], - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionQualifications": {
- "item": {
- "positionCompetencies": {
- "item": [
- {
- "competencyIds": {
- "item": [
- {
- "value": null,
- "schemeAgencyId": null
}
]
}, - "competencyName": "string"
}
]
}, - "licenses": [
- {
- "name": "string",
- "issuingAuthority": {
- "name": "string"
}
}
]
}
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "requestComments": [
- "string"
], - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Response samples
- 200
{- "documentId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "supplier": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "customer": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}
}, - "positionProfile": {
- "positionId": {
- "value": "string"
}, - "positionTitle": "string",
- "positionTask": {
- "id": {
- "value": "string"
}, - "description": {
- "value": "string"
}
}, - "standByIndicator": true,
- "positionLocation": {
- "item": {
- "id": [
- {
- "value": "string",
- "schemeAgencyId": "Customer"
}
], - "line": "string",
- "countryCode": {
- "value": "string"
}, - "city": "string",
- "postalCode": "string",
- "name": "string"
}
}, - "requestedWorker": [
- {
- "workerId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "person": {
- "name": {
- "formattedName": "string"
}
}
}
], - "positionOrganizations": {
- "item": [
- {
- "taxId": {
- "value": "string",
- "schemeAgencyId": "BTW"
}, - "legalId": {
- "value": "string",
- "schemeAgencyId": "KvK"
}, - "responsibilityCode": {
- "value": "string"
}, - "id": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "name": "string"
}
]
}, - "positionQualifications": {
- "item": {
- "positionCompetencies": {
- "item": [
- {
- "competencyIds": {
- "item": [
- {
- "value": null,
- "schemeAgencyId": null
}
]
}, - "competencyName": "string"
}
]
}, - "licenses": [
- {
- "name": "string",
- "issuingAuthority": {
- "name": "string"
}
}
]
}
}, - "positionPeriod": {
- "start": "2019-08-24",
- "end": "2019-08-24"
}, - "workingPeriods": {
- "item": [
- {
- "workDuration": {
- "value": 0,
- "unitCode": {
- "value": "Days"
}
}, - "baseDuration": {
- "value": 0,
- "unitCode": {
- "value": "Daily"
}
}
}
]
}, - "shiftDescription": "string",
- "costAllocationRef": {
- "item": {
- "costCenter": {
- "name": "string",
- "code": "string"
}, - "project": {
- "code": "string"
}
}
}
}, - "requestComments": [
- "string"
], - "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
], - "singlePlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "singlePlanningType": "Exception",
- "periodicPlanningLineReference": {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}
}, - "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startDateTime": "2019-08-24T14:15:22Z",
- "endDateTime": "2019-08-24T14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Add a new periodic planning line to an existing planning request
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning request as a whole |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
A periodic planning request line. This is a subset of the Planning request message specification.
Array of objects | |||||||||||||||||||
Array
| |||||||||||||||||||
Responses
Request samples
- Payload
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Response samples
- 200
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Add a new single planning line to an existing planning request
path Parameters
| id required | string Example: 049b4540-620f-434a-bfd1-d09f9e8cdc8c The identifier of the planning request as a whole |
header Parameters
| setuVersionId required | string Example: 2.0 Specification of the SETU standard version that is used as body message. |
| Content-Type required | string Enum: "application/json" "application/xml" Example: application/json |
Request Body schema:
A single planning request line. This is a subset of the Planning request message specification.
Array of objects | |||||||||||||||||||
Array
| |||||||||||||||||||
Responses
Request samples
- Payload
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Response samples
- 200
{- "periodicPlanningLine": [
- {
- "lineId": {
- "value": "string",
- "schemeAgencyId": "Customer"
}, - "actionCode": "DELETE",
- "planningLineName": "string",
- "planningPeriod": "Friday",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "hours": 0,
- "breaks": [
- {
- "paidOrUnpaid": "Paid",
- "startTime": "14:15:22Z",
- "endTime": "14:15:22Z",
- "breakTrigger": {
- "hours": 0,
- "breakDuration": "14:15:22Z"
}
}
], - "positionQuantity": 0
}
]
}Get the information about an existing planning request line
path Parameters
[...]
